%{?nodejs_find_provides_and_requires}
%global srcname olm
%global enable_tests 0
# tests disabled until dev dependencies are available

Name:	        nodejs-%{srcname}
Version:	    2.2.1
Release:	    1%{?dist}
Summary:	    An implementation of the Double Ratchet cryptographic ratchet

Group:		    Development/Tools
License:	    Apache-2.0
URL:		    https://matrix.org/git/olm
Source0:        https://matrix.org/packages/npm/olm/olm-%{version}.tgz

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
An implementation of the Double Ratchet cryptographic ratchet

%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json olm.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/jasmine-node
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%{nodejs_sitelib}/%{srcname}


%changelog
* Mon Apr 10 2017 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 2.2.1-1
- Initial packaging
